Category Archives: linkat

Control de volum gràfic a la Linkat Lleugera

Estic molt content amb la Linkat lleugera.

Però l’altre dia em vaig trobar que es feia una mica complex per a una persona, que no ha usat mai linux, fer canvis del control de volum. Uns companys volien activar i desactivar el volum del micròfon… Quan fas clic a la icona del volum de la barra superior, et trobes un control en terminal:

audiolinkat01

Remenant una mica, i veient com altres usuaris d’entorns LXDE ho havien solucionat, ho he provat amb la Linkat Lleugera. Suposo que serveix per a Lubuntu i d’altres. La solució ha estat instal·lar tres programes:

sudo apt-get install pulseaudio pavucontrol pavumeter

I ara ens ha quedat un control de volum senzill:

audiolinkat2

😉

Scratch 2 a la Linkat Lleugera

Scratch és un entorn de programació educatiu fet al MIT, i que en el món educatiu ens permet treballar el pensmanet computacional. El tenim per programar en línia a https://scratch.mit.edu , tot i això, a mi m’agrada poder treballar offline. Per fer-ho he seguit les instruccions de la seva pàgina https://scratch.mit.edu/scratch2download/

Axí que quan he intentat instal·lar-ho a la Linkat lleugera, però m’ha donat problemes, on em demana que instal·li el gnome keyring… que ja em consta com a instal·lat.

Al final de molt remenar, he trobat la solució:

  1. primer cal donar permisos d’execussió:
chmod +x AdobeAIRInstaller.bin                                                                                            
  1. i després des de la terminal (si és de 32 bits)
LD_LIBRARY_PATH=/usr/lib/i386-linux-gnu ./AdobeAIRInstaller.bin           

Si és de 64 bits:

LD_LIBRARY_PATH=/usr/lib/x86_64-linux-gnu ./AdobeAIRInstaller.bin

installar0.png

i ara ja podem seguir les instruccions habituals de Scratch 2, usar l’Adobe Air per instal·lar el paquet Scratch-441.air menu0.png menu1.png

😉

Llançadora a la Linkat lleugera

Ja fa temps que uso Lubuntu com a distribució per defecte. Ara que ha sortit la nova Linkat Lleugera, he migrat de la meva Lubuntu a una Linkat. A més a més, a la meva aula hi ha quatre ordinadors de sobretaula que ara també van amb la nova Linkat lleugera! Logo-linkat-lleugera.png

Ha estat la solució que feia temps que esperava. Per desgràcia a les escoles no sempre tenim la última tecnologia, i aquest mes de setembre quan vaig començar el curs, tenia a la nova aula quatre ordinadors amb Windows XP. Així que sense pensar-m’ho dos cops, vaig migrar a la Linkat! De cop i volta han reviscolat!!! Van molt més ràpid, fluïds i amb tot el que necessito.

Una cosa que m’he trobat és que no tenia la llançadora a la carpeta Treball. Així, que he decidit escriure de com l’he afegit a l’escriptori.

Anem a l’escriptori i creem un fitxer amb el nom que volem i .desktop, per exemple: treball.desktop Amb un editor, jo uso emacs, a dins escrivim:

[Desktop Entry]
Version=1.0
Name=Treball
Exec=pcmanfm "smb://192.168.0.240/treball"
Terminal=false
Type=Application
Icon=preferences-system-network

si volem entrar per ssh en comptes de samba, tan senzill com canviar-ho per:

Exec=pcmanfm "sftp://192.168.0.240/treball"

Ara desem i ja podem anar a l’escriptori i usar l’enllaç. Si volem, podem fer botó dret del ratolí a sobre i en el menú podem editar-lo.

Selecció_001

I finalment ja tenim a l’escriptori l’enllaç a les carpetes compartides. Aquest sistema serveix per fer enllaços directes a altres programes.

😉

Veure DVDs en Linkat (14.04) i Ubuntu (derivades)

Ja porten uns dies que dues persones m’han preguntat el motiu pel qual no es veuen els DVDs en la Linkat 14.04, que és una derivada d’Ubuntu.

Així que només cal anar a la pàgina oficial d’Ubuntu on parla dels Formats Restringits, allí ens aconsella instal·lar els paquets libdvdcss2 que en la LinkatEdu 14.04 és libdvdread4. En la pàgina de la Linkat també ho tenim ben documentat!

Per això anem a la terminal i escrivim:

sudo apt-get install libdvdread4

Un cop fet això, ara ens cal executar l’Script:

sudo /usr/share/doc/libdvdread4/install-css.sh

En un principi ja ha de funcionar!

Si veiem que no va, només cal reiniciar. I un cop fet això ja podem veure DVDs des de el VLC, per exemple.

😉

La Viquipèdia sense connexió a Internet

Sovint tinc poca connexió a Internet, en especial quan viatjo o sóc fora de casa. A vegades m’interessa fer alguna consulta a la Viquipèdia i no puc.

Hi ha vàries opcions… una d’elles és la Cdpèdia, força interessant i que podeu baixar-vos la ISO des de http://python.org.ar/Proyectos/CDPedia

Una altra opció, molt interessant és Kiwix:

Permet abaixar-te la wikipedia, pots triar qualsevol idioma i executar-la fins i tot per xarxa. D’aquesta manera podem tenir un servidor amb kiwix i la resta de la cas té accés a la viquipèdia. És ideal per entorns amb poc accés a internet (ja sigui per manca de connexió, o per restriccions).

A la seva pàgina podem trobar molta més informació.

🙂

Afegir una llançadora a l’escriptori en Linkatedu 12.04

Des de que la Linkat ha passat a tenir com a base Ubuntu, ens trobem que algunes coses es fan una mica diferent.

Si volem afegir una llançadora a l’escriptori, abans es feia botó dret del ratolí sobre l’escriptori i creavem la “llançadora”, però ara no funciona.

Per poder fer-ho, podem fer en un terminal (crtl+alt+t), una vegada s’ha obert la terminal, escrivim:

gnome-desktop-item-edit ~/Escriptori --create-new

I fem els mateixos passos que ja feiem abans!

Serveix també per a Ubuntu 12.04.

😉

Emacs24 a la Linkat

Després d’uns dies usant Emacs24 he passat a fer la instal·lació a la Linkat 11.4. No la tenim al repositori, així que per poder fer-ho la descarregarem directament de la pàgina oficial i ho compilarem. Un dels avantatges un cop instal·lat, és que des de la versió 24 podem gaudir dels repositoris propis, i així poder ampliar-lo amb nous modes, i mantenir-ho actualitzat.

file://https://croniqueslinux.files.wordpress.com/2013/04/wpid-emacslinkat.png

Així que, el primer que caldrà és descarregar la última versió:

wget http://ftp.gul.es/gnu/ftp.gnu.org/gnu/emacs/emacs-24.3.tar.gz

un cop descarregat, cal descomprimir:

tar -xzvf emacs-24.3.tar.gz

i entrem a la carpeta:

cd emacs-24.3

Ara passem a Instal·lar-ho: Abans de compilar, caldrà executar autogen que farà una comprovació de les dependències i paquets:

$ ./autogen.sh

Inicialment m’ha donat alguns problemes de dependències:

Your system has the required tools, running autoreconf...
./autogen.sh: line 211: autoreconf: no s'ha trobat l'ordre

Així que he mirat i he vist que no hi ha l’ordre autoreconf! Em feia falta tenir algunes dependències per fer les compilacions!

zypper in autogen autoconf build-essential  automake libtiff-devel giflib-devel ncurses-devel

Seguidament ens diu:

Your system has the required tools, running autoreconf...
You can now run `./configure'.

Ara tot està correcte!!! Passem a compilar!

$ ./configure
$ make
$ su
$ make install

Després d’una bona estona….

Ja tenim l’Emacs24 a la Linkat!

file://https://croniqueslinux.files.wordpress.com/2013/04/wpid-emacs24linkat.png

😉

Nova versió de LyX a la Linkat

file://https://croniqueslinux.files.wordpress.com/2012/12/wpid-lyx00.png
Aquests dies de vacances m’he posat a tafanejar una mica LyX. És un programa pensat per realitzar documents usant la potència de LateX. Tot i que m’agrada molt el mode per Emacs anomenat AucTeX,volia provar LyX.
El primer que m’he trobat és que la versió que s’instal·la a la *Linkat Edu 11.4* és la 1.6.9
file://https://croniqueslinux.files.wordpress.com/2012/12/wpid-lyx01.png
I això, en un principi no és un problema, però quan he anat a un altre ordinador amb una altra versió més moderna, no s’obria després de nou a la Linkat, el document quedava actualitzat.
Així que he decidit actualitzar la versió a la 2.0.5 i aprofitar totes les noves funcionalitats, i evitar el problema de versions.

Res més fàcil que anar a la pàgina de LyX i a la part de descàrregues hi ha l’opció per OpenSuse, i allí trobem la d’11.4 que és la que volem. Amb un sol clic s’ens actualitza.
I ara ja tenin la nova versió.
file://https://croniqueslinux.files.wordpress.com/2012/12/wpid-lyx02.png

Però en obrir el document de nou amb la versió actualitzada, m’ha sortit un problema amb el mòdul de tipus de documents 😦
Per solucionar-ho, res més fàcil que anar a: eines > reconfigura
file://https://croniqueslinux.files.wordpress.com/2012/12/wpid-lyx03.png
I després d’una petita estona, ja tenim el LyX actualitzat i funcinonant a la Linkat Edu 11.4
file://https://croniqueslinux.files.wordpress.com/2012/12/wpid-lyx04.png

Ara només queda jugar amb el programa a veure que tal 🙂

Turpial a la Linkat

Divendres a la tarda, i amb ganes de llegir les piulades del dia, i com és de costum solc usar el mode d’Emacs per a Identi.ca i Turpial per a Twitter.

Com que fa uns dies que vaig instal·lar al meu vell Eeepc901, ara em calia posar-hi el Turpial.

Aquests passos serveixen tan per la Linkat com per a Opensuse 11.x.

obtenir Turpial

El primer que cal és baixar el paquet tar.gz de la pàgina oficial

$ wget http://turpial.org.ve/files/sources/stable/turpial-1.5.0.tar.gz

Ara ja tenim el paquet,i el descomprimim:

$ tar -xzvf turpial-1.5.0.tar.gz 

instal·lar les dependències

El següent que cal fer és instal·lar les depndències:

$ sudo zypper in python-simplejson gtk2-devel python-notify python-pygame 
python-babel gtkspell-devel python-webkitgtk python-setuptools

instal·lar Turpial

Ara ja ens queda instal·lar turpial, el primer és entrar a la carpeta de turpial:

$ cd turpial-1.5.0/

I executar l’instal·lador:

$ sudo python setup.py install

nota

Cal comentar que si l’executem des de terminal:

$ turpial

tot anirà bé, o si des de Aplicacions>Executa una aplicació posem turpial s’iniciarà. Però no ens ha quedat integrat a l’escriptori, així que podem integrar-lo.
Anem a dalt de la icona del menú i fent botó dret ens dóna la possibilitat de Edita els menús i allí afegim turpial, en el menú Internet.

La icona la trobarem a:

/usr/local/lib/python2.6/site-packages/turpial-1.5.0-py2.6.egg/share/pixmaps

file://https://croniqueslinux.files.wordpress.com/2011/06/wpid-turpial01.png Ara ja només ens queda executar-lo i gaudir de les avantatges de Turpial com a gestor de la xarxa social Twitter i Identi.ca. file://https://croniqueslinux.files.wordpress.com/2011/06/wpid-turpial03.png file://https://croniqueslinux.files.wordpress.com/2011/06/wpid-turpial02.png 😉

Desitjo que puga servir a molta gent!

Instal·lant org-mode a la Linkat

Com ja heu llegit al blog, sóc un aprenent d’Emacs i a l’escola uso Linkat. Així que en un vell Eeepc901 he decidit instal·lar la nova Linkat 4 i com no, l’Emacs amb el meu mode preferit: org-mode i org2blog.

Espero que els passos seguits puguin ser d’ajuda per algú 😉

Primer que res he instal·lat emacs a la Linkat

La Linkat per defecte quan la instal·les no porta Emacs preinstal·lat, així que res més fàcil que:

sudo zypper in emacs

Org-mode

Ara em cal posar a l’ordenador l’org-mode. Per defecte sol venir amb l’Emacs, però una versió vella, això també m’ha passat a l’Opensuse.
Per solucionar-ho, he baixat directament amb el git l’última versió de l’org-mode:

git clone git://orgmode.org/org-mode.git

anem a la carpeta de baixada

cd ~/org-mode/

i des de la terminal fem:

sudo su
make

En un principi el tenim ja instal·lat.Tot i això a mi m’ha donat problemes, així que he investigat el motiu, resulta que l’emacs va a cercar els paquets lisp a la carpeta de la versió vella, així que he hagut de buscar una solució. A la pàgina de l‘org-mode ens en dóna un parell: La primera seria col·locar els nous paquets per emacs del lisp a la carpeta general on es troba instal·lat l’emacs al sistema. En el text original ens diu:

If you have downloaded Org from the Web, either as a distribution .zip or .tar file, or as a Git archive, you must take the following steps to install it: go into the unpacked Org distribution directory and edit the top section of the file Makefile. You must set the name of the Emacs binary (likely either emacs or xemacs), and the paths to the directories where local Lisp and Info files are kept. If you don't have access to the system-wide directories, you can simply run Org directly from the distribution directory by adding the lisp subdirectory to the Emacs load path. To do this, add the following line to .emacs: (setq load-path (cons "~/path/to/orgdir/lisp" load-path))

La segona opció és deixar-lo només a un usuari, i cridar els paquets lisp a la carpeta on són desats. Una mica més barroera, ha estat copiar tota la carpeta lisp a dins de la carpeta ./emacs.d/ i dins de la configuració .emacs fer que vagi a carregar l’org-mode. He afegit la línia:

(setq load-path (cons "/home/usuari/.emacs.d/lisp" load-path))

Si volem que carregui des de l’arrel on s’ha instal·lat, només cal deixar al .emacs la lína de la següent manera:

(setq load-path (cons "/usr/local/share/emacs/site-lisp" load-path))

Deixo les dues opcions a cadascú…

per acabar hem d’instal.lar org2blog

Si volem postejar des de l’emacs als nostres blogs ho podem fer de la mateixa manera com ja ho havia explicats abans, aquest ha estat igual per la resta de distros.

Espero siga d’ajuda 😉

Aquest post l’he fet com tots el del blog, amb Emacs + Gnu/Linux i aquesta vegada la distro usada ha estat la nova Linkat4

%d bloggers like this: